Package com.smartgwt.client.widgets.grid.events

# Class GridRowColEvent<H extends EventHandler>

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<H>
com.smartgwt.client.widgets.events.BrowserEvent<H>
com.smartgwt.client.widgets.grid.events.GridRowColEvent<H>

Direct Known Subclasses:
  `CellClickEvent`, `CellContextClickEvent`, `CellDoubleClickEvent`, `CellErrorIconHoverEvent`, `CellErrorIconOutEvent`, `CellErrorIconOverEvent`, `CellHoverEvent`, `CellMouseDownEvent`, `CellMouseUpEvent`, `CellOutEvent`, `CellOverEvent`, `CellValueHoverEvent`, `RowContextClickEvent`, `RowHoverEvent`, `RowMouseDownEvent`, `RowMouseUpEvent`, `RowOutEvent`, `RowOverEvent`

public abstract class GridRowColEvent<H extends EventHandler> extends BrowserEvent<H>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `GridRowColEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getColNum()`
  column number of the cell
  `Canvas`
  `getFiringCanvas()`
  Returns the `Canvas` firing the event.
  `ListGridRecord`
  `getRecord()`
  cell record as returned by getCellRecord
  `int`
  `getRowNum()`
  row number for the cell

  ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

  `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, dispatch, getAssociatedType, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GridRowColEvent

    protected GridRowColEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringCanvas

    public Canvas getFiringCanvas()
    Returns the `Canvas` firing the event.
    Returns:
      Canvas firing the event

  - ### getRecord

    public ListGridRecord getRecord()
    cell record as returned by getCellRecord
    Returns:
      cell record as returned by getCellRecord

  - ### getRowNum

    public int getRowNum()
    row number for the cell
    Returns:
      row number for the cell

  - ### getColNum

    public int getColNum()
    column number of the cell
    Returns:
      column number of the cell